
#pragma once

/*
    The cmdlinespy dll GetCmdLineEx functions return a pointer to
    a single block of memory, formatted as follows.

    If GetCmdLineExA is used, pszCmdLine points to a Ansi string.
    If GetCmdLineExW is used, pszCmdLine points to a Unicode string.
*/

struct COMMANDLINEINFO
{
    DWORD   cchPath;    // Character count of command line string, not including NUL.
    TCHAR  *pszCmdLine; // Pointer to command line string.
};
